POST /locations/channels/holidays
application/json

Body

object object

Responses

  • default text/plain

    default

POST /locations/channels/holidays
curl \
 --request POST 'https://api.staging.deliverect.com/locations/channels/holidays' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"locations":[{"id":"someLocationId","channels":[{"id":"someChannelLinkId","holidays":[{"endTime":"2021-12-19T16:10:00Z","startTime":"2021-12-19T15:53:00Z"},{"endTime":"2022-05-18T05:00:00Z","startTime":"2022-05-18T04:00:00Z"},{"endTime":"2022-05-17T17:39:00Z","startTime":"2022-05-17T17:37:00Z"},{"endTime":"2023-08-04T19:00:00Z","startTime":"2023-08-04T09:00:00Z"}]}]}]}'
Request example
{
  "locations": [
    {
      "id": "someLocationId",
      "channels": [
        {
          "id": "someChannelLinkId",
          "holidays": [
            {
              "endTime": "2021-12-19T16:10:00Z",
              "startTime": "2021-12-19T15:53:00Z"
            },
            {
              "endTime": "2022-05-18T05:00:00Z",
              "startTime": "2022-05-18T04:00:00Z"
            },
            {
              "endTime": "2022-05-17T17:39:00Z",
              "startTime": "2022-05-17T17:37:00Z"
            },
            {
              "endTime": "2023-08-04T19:00:00Z",
              "startTime": "2023-08-04T09:00:00Z"
            }
          ]
        }
      ]
    }
  ]
}